Loading...
Searching...
No Matches
decaf::EdDSA< Ed448Goldilocks > Struct Reference

A public key for crypto over Ed448-Goldilocks. More...

`#include <ed448.hxx>`

## Classes

class | Prehash
| Prehash context for EdDSA. More...
class | PrivateKeyBase
| Signing (i.e. More...
class | PublicKeyBase
| EdDSA Public key base class. More...
class | Signing
| Signing (i.e. More...
class | Signing< CRTP, PREHASHED >
| Signing (i.e. More...
class | Signing< CRTP, PURE >
| Signing (i.e. More...
class | Verification< CRTP, PREHASHED >
| Verification (i.e. More...
class | Verification< CRTP, PURE >
| Verification (i.e. More...

## Static Public Member Functions

static const Block | NO_CONTEXT ()
| Signatures support a "context" block, which allows you to domain separate them if (for some reason) it's annoying to domain separate the message itself.

## Detailed Description

A public key for crypto over Ed448-Goldilocks.

## Member Function Documentation

## NO_CONTEXT()

static const Block decaf::EdDSA< Ed448Goldilocks >::NO_CONTEXT | ( |  | ) |

inline static

Signatures support a "context" block, which allows you to domain separate them if (for some reason) it's annoying to domain separate the message itself.

The default is no context. For Ed25519, the spec defining contexts is an extension, and the default is not to use that extension. This makes "no context" different from the empty string. For Ed448, contexts are built-in and mandatory, so "no context" is the same as the empty string.

The documentation for this struct was generated from the following file:

- src/GENERATED/include/decaf/ed448.hxx